File PackageKit.spec of Package PackageKit.2392

#
# spec file for package PackageKit
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# $ pkcon search file /usr/bin/anjuta
%define BUILD_CNF 0
%define with_offline_updates 0

Name:           PackageKit
Version:        0.8.16
Release:        0
Summary:        Simple software installation management software
License:        GPL-2.0+
Group:          System/Daemons
Url:            http://packagekit.org/
Source:         http://www.packagekit.org/releases/%{name}-%{version}.tar.xz
Source2:        baselibs.conf
# PATCH-FEATURE-OPENSUSE 0001-Change-the-configuration-of-the-cron-script-to-a-sys.patch vuntz@opensuse.org -- Change the configuration of the cron script to a sysconfig-like config
Patch1:         0001-Change-the-configuration-of-the-cron-script-to-a-sys.patch
# PATCH-FIX-UPSTREAM PackageKit-npapi.patch fdo#40026 wr@rosenauer.org -- Build against npapi-sdk instead of xulrunner
Patch2:         0002-Build-against-npapi-sdk-instead-of-xulrunner.patch
# PATCH-FIX-UPSTREAM PackageKit-dbus-location.patch bnc#829944 dimstar@opensuse.org -- Look for dbus socket in /run instead of /var/run. Sent to upstream.
Patch3:         PackageKit-dbus-location.patch
# PATCH-FIX-SLED PackageKit-zypp-filter-uninstalled-packages.patch fate#316921 hpj@suse.com -- GStreamer codec installation would prompt to install already installed packages.
Patch4:         PackageKit-zypp-filter-uninstalled-packages.patch
# To update this package, please git-format-patch the tag of the
# tarball version (eg: PACKAGEKIT_0_6_19) vs the distro tag (eg: openSUSE_Factory)
# in https://github.com/openSUSE/PackageKit and keep the patches
# in that git repository for easier tracking and merging.
# When updating the package you can rebase the distro branch against
# the new release tag.
# PATCH-FIX-UPSTREAM PackageKit-gstreamer1.patch fcrozat@suse.com -- Switch to gstreamer 1.0
Patch5:         PackageKit-gstreamer1.patch
# PATCH-FIX-SLED bnc#881245-update-test-affects-package-manager-should-restart-gpk-update-viewer.patch rlmu@suse.com -- gpk-update-viewer should restart after certain kind of update.
Patch6:         bnc#881245-update-test-affects-package-manager-should-restart-gpk-update-viewer.patch
Patch7:         bsc#951592-zypp-Raise-priority-of-ZYPP-stack-updates-if-a-secur.patch
#
BuildRequires:  NetworkManager-devel
BuildRequires:  automake
BuildRequires:  docbook-utils
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk-doc
BuildRequires:  gtk2-devel
BuildRequires:  gtk3-devel
BuildRequires:  intltool
BuildRequires:  libarchive-devel
BuildRequires:  libcppunit-devel
BuildRequires:  libgudev-1_0-devel
BuildRequires:  libqt4-devel
BuildRequires:  libtool
BuildRequires:  libzypp-devel
BuildRequires:  mozilla-nspr-devel >= 4.8
BuildRequires:  polkit-devel >= 0.98
BuildRequires:  python-devel
BuildRequires:  pkgconfig(bash-completion) >= 2.0
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(npapi-sdk)
# We need the %%mime_database_* macros
BuildRequires:  shared-mime-info
BuildRequires:  sqlite-devel
BuildRequires:  translation-update-upstream
BuildRequires:  pkgconfig(libsystemd-journal)
BuildRequires:  pkgconfig(systemd)
Requires:       %{name}-branding = %{version}
# We really want a working backend (likely zypp)
Requires:       %{name}-backend
Recommends:     %{name}-lang
PreReq:         %fillup_prereq
# doc package only contained the website, and got removed in 0.7.4
Obsoletes:      %{name}-doc < 0.7.4
# gtk+ 2 module was removed in 0.7.0
Obsoletes:      %{name}-gtk-module < 0.7.0
# ruck was removed in 0.6.4, make sure it gets removed
Obsoletes:      ruck <= 0.6.3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%py_requires
%{?systemd_requires}

%description
PackageKit is a system designed to make installing and updating
software on your computer easier.  The primary design goal is to unify
all the software graphical tools used in different distributions, and
use some of the latest technology like PolicyKit to make the process
suck less.

%package backend-zypp
Summary:        Simple software installation management software -- Zypp Backend
License:        GPL-2.0+
Group:          System/Daemons
Requires:       %{name} = %{version}
Provides:       %{name}-backend = %{version}

%description backend-zypp
PackageKit is a system designed to make installing and updating
software on your computer easier.  The primary design goal is to unify
all the software graphical tools used in different distributions, and
use some of the latest technology like PolicyKit to make the process
suck less.

%package -n typelib-1_0-PackageKitPlugin-1_0
Summary:        Simple software installation management software -- Plugin library, Introspection bindings
License:        GPL-2.0+
Group:          System/Libraries

%description -n typelib-1_0-PackageKitPlugin-1_0
PackageKit is a system designed to make installing and updating
software on your computer easier.  The primary design goal is to unify
all the software graphical tools used in different distributions, and
use some of the latest technology like PolicyKit to make the process
suck less.

This package provides the GObject Introspection bindings for the
PackageKit plugin library.

%package gstreamer-plugin
Summary:        Simple software installation management software
License:        GPL-2.0+
Group:          Productivity/Multimedia/Other
Requires(post): update-alternatives
Requires(postun): update-alternatives
Recommends:     %{name} = %{version}
Supplements:    packageand(%{name}:gstreamer-plugins-base)
Provides:       opensuse-codecs-installer = 10.3.1
Obsoletes:      opensuse-codecs-installer <= 10.3.1

%description gstreamer-plugin
PackageKit is a system designed to make installing and updating
software on your computer easier.  The primary design goal is to unify
all the software graphical tools used in different distributions, and
use some of the latest technology like PolicyKit to make the process
suck less.

%package gtk3-module
Summary:        Simple software installation management software
License:        GPL-2.0+
Group:          System/Libraries
Recommends:     %{name} = %{version}
Supplements:    packageand(%{name}:gtk3)
%glib2_gsettings_schema_requires

%description gtk3-module
PackageKit is a system designed to make installing and updating
software on your computer easier.  The primary design goal is to unify
all the software graphical tools used in different distributions, and
use some of the latest technology like PolicyKit to make the process
suck less.

%package devel
Summary:        Needed include files and libraries for development
License:        GPL-2.0+
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       libpackagekit-glib2-devel
Requires:       typelib-1_0-PackageKitPlugin-1_0 = %{version}

%description devel
This package contains all necessary include files, libraries,
configuration files and development tools (with manual pages) needed to
compile and link applications using PackageKit.

%package -n libpackagekit-glib2-16
Summary:        Simple software installation management software
License:        LGPL-2.1+
Group:          System/Libraries
Recommends:     %{name}
Conflicts:      %{name} < %{version}
Provides:       libpackagekit-glib12 = %{version}
Obsoletes:      libpackagekit-glib12 < %{version}

%description -n libpackagekit-glib2-16
PackageKit is a system designed to make installing and updating
software on your computer easier.  The primary design goal is to unify
all the software graphical tools used in different distributions, and
use some of the latest technology like PolicyKit to make the process
suck less.

%package -n typelib-1_0-PackageKitGlib-1_0
Summary:        Simple software installation management software -- Introspection bindings
License:        LGPL-2.1+
Group:          System/Libraries

%description -n typelib-1_0-PackageKitGlib-1_0
PackageKit is a system designed to make installing and updating
software on your computer easier.  The primary design goal is to unify
all the software graphical tools used in different distributions, and
use some of the latest technology like PolicyKit to make the process
suck less.

This package provides the GObject Introspection bindings for the
PackageKit client library.

%package -n libpackagekit-glib2-devel
Summary:        Simple software installation management software
License:        LGPL-2.1+
Group:          Development/Libraries/GNOME
Requires:       libpackagekit-glib2-16 = %{version}
Requires:       typelib-1_0-PackageKitGlib-1_0 = %{version}
Provides:       libpackagekit-glib12-devel = %{version}
Obsoletes:      libpackagekit-glib12-devel < %{version}

%description -n libpackagekit-glib2-devel
PackageKit is a system designed to make installing and updating
software on your computer easier.  The primary design goal is to unify
all the software graphical tools used in different distributions, and
use some of the latest technology like PolicyKit to make the process
suck less.

%package browser-plugin
Summary:        Simple software installation management software
License:        GPL-2.0+
Group:          Productivity/Networking/Web/Browsers
Recommends:     %{name} = %{version}
Supplements:    packageand(%{name}:MozillaFirefox)
Supplements:    packageand(%{name}:epiphany)

%description browser-plugin
PackageKit is a system designed to make installing and updating
software on your computer easier.  The primary design goal is to unify
all the software graphical tools used in different distributions, and
use some of the latest technology like PolicyKit to make the process
suck less.

%package branding-upstream
Summary:        Simple software installation management software -- Upstream default configuration
License:        GPL-2.0+
Group:          System/Daemons
Requires:       %{name} = %{version}
Provides:       %{name}-branding = %{version}
Conflicts:      otherproviders(%{name}-branding)
Supplements:    packageand(%{name}:branding-upstream)
BuildArch:      noarch
#BRAND: Provide configuration files -
#BRAND: /etc/PackageKit/*

%description branding-upstream
PackageKit is a system designed to make installing and updating
software on your computer easier.  The primary design goal is to unify
all the software graphical tools used in different distributions, and
use some of the latest technology like PolicyKit to make the process
suck less.

This package provides the upstream default configuration for PackageKit.

%lang_package
%prep
%setup -q
%patch1 -p1
%patch2 -p1
%if %{suse_version} != 1315
%patch3 -p1
%endif
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
translation-update-upstream

%build
# Needed due to the tarball being bootstrapped with autoconf 1.13.
autoreconf -fi
%configure \
	--disable-static \
	--enable-zypp \
	--enable-gstreamer-plugin \
	--with-default-backend=zypp \
	--with-security-framework=polkit \
	--with-mozilla-plugin-dir=%{_libdir}/browser-plugins \
%if ! %BUILD_CNF
	--disable-command-not-found \
%else
	--enable-command-not-found \
%endif
        --enable-systemd \
%if %{with_offline_updates}
        --enable-systemd-updates \
%else
        --disable-systemd-updates \
%endif
        %{nil}
make %{?_smp_mflags} V=1

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print
# move the cron configuration to a sysconfig template
install -d %{buildroot}%{_localstatedir}/adm/fillup-templates
mv %{buildroot}%{_sysconfdir}/sysconfig/packagekit-background %{buildroot}%{_localstatedir}/adm/fillup-templates/sysconfig.packagekit-background
# create ghost file
touch %{buildroot}%{_libexecdir}/gst-install-plugins-helper
%find_lang %{name} %{?no_lang_C}
%fdupes $RPM_BUILD_ROOT

%pre 
%service_add_pre packagekit.service
%if %{with_offline_updates}
%service_add_pre packagekit-offline-update.service
%endif

%post
%{fillup_only -n packagekit-background}
%mime_database_post
%service_add_post packagekit.service
%if %{with_offline_updates}
%service_add_post packagekit-offline-update.service
%else
  if [ -L system-update ]; then
    rm system-update
  fi
  if [ -f var/lib/PackageKit/prepared-update ]; then
    rm var/lib/PackageKit/prepared-update
  fi
%endif

%preun 
%service_del_preun packagekit.service
%if %{with_offline_updates}
%service_del_preun packagekit-offline-update.service
%endif

%postun
%mime_database_postun
# Do not restart PackageKit on upgrade - it kills the transaction
export DISABLE_RESTART_ON_UPDATE=yes
%service_del_postun packagekit.service
%if %{with_offline_updates}
%service_del_postun packagekit-offline-update.service
%endif

%post gstreamer-plugin
update-alternatives --install %{_libexecdir}/gst-install-plugins-helper gst-install-plugins-helper %{_libexecdir}/pk-gstreamer-install 10

%postun gstreamer-plugin
# Note: we don't use "$1 -eq 0", to avoid issues if the package gets renamed
if [ ! -f %{_libexecdir}/pk-gstreamer-install ]; then
  update-alternatives --remove gst-install-plugins-helper %{_libexecdir}/pk-gstreamer-install
fi

%post gtk3-module
%glib2_gsettings_schema_post

%postun gtk3-module
%glib2_gsettings_schema_postun

%post -n libpackagekit-glib2-16 -p /sbin/ldconfig

%postun -n libpackagekit-glib2-16 -p /sbin/ldconfig

%files lang -f %{name}.lang

%files
%defattr(-,root,root)
%doc AUTHORS COPYING HACKING NEWS README
%dir %{_sysconfdir}/PackageKit
%dir %{_sysconfdir}/PackageKit/events
%dir %{_sysconfdir}/PackageKit/events/post-transaction.d
%dir %{_sysconfdir}/PackageKit/events/pre-transaction.d
%dir %{_datadir}/PackageKit
%dir %{_datadir}/PackageKit/helpers
%dir %{_datadir}/PackageKit/helpers/test_spawn
%dir %{_libdir}/packagekit-backend
%dir %{_libdir}/packagekit-plugins
%dir %{python_sitelib}/packagekit
%dir %{_localstatedir}/lib/PackageKit
%{_datadir}/bash-completion/completions/pkcon
%{_sysconfdir}/PackageKit/events/post-transaction.d/README
%{_sysconfdir}/PackageKit/events/pre-transaction.d/README
%{_sysconfdir}/cron.daily/packagekit-background.cron
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.PackageKit.conf
%if %BUILD_CNF
%{_sysconfdir}/profile.d/PackageKit.sh
%endif
%{_localstatedir}/adm/fillup-templates/sysconfig.packagekit-background
%{_bindir}/packagekit-bugreport.sh
%{_bindir}/pk-debuginfo-install
%{_bindir}/pkcon
%{_bindir}/pkmon
%{_libdir}/packagekit-backend/libpk_backend_dummy.so
%{_libdir}/packagekit-plugins/libpk_plugin-scan-desktop-files.so
%{_libdir}/packagekit-plugins/libpk_plugin_scripts.so
%{_libdir}/packagekit-plugins/libpk_plugin-systemd-updates.so
%{_libdir}/packagekit-plugins/libpk_plugin-update-package-cache.so
%{_libexecdir}/packagekitd
%if %BUILD_CNF
%{_libexecdir}/pk-command-not-found
%endif
%{python_sitelib}/packagekit/*
%{_datadir}/dbus-1/interfaces/org.freedesktop.PackageKit.Transaction.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.PackageKit.xml
%{_datadir}/PackageKit/helpers/test_spawn/search-name.sh
%{_datadir}/PackageKit/pk-upgrade-distro.sh
%{_datadir}/polkit-1/actions/org.freedesktop.packagekit.policy
%{_datadir}/polkit-1/rules.d/org.freedesktop.packagekit.rules
%{_datadir}/dbus-1/system-services/*
%{_unitdir}/packagekit.service
%doc %{_mandir}/man?/*.*
%verify(not md5 size mtime) %{_localstatedir}/lib/PackageKit/transactions.db
%if %{with_offline_updates}
%{_libexecdir}/pk-clear-offline-update
%{_libexecdir}/pk-offline-update
%{_libexecdir}/pk-trigger-offline-update
%{_unitdir}/packagekit-offline-update.service
%endif

%files backend-zypp
%defattr(-,root,root)
%{_libdir}/packagekit-backend/libpk_backend_zypp.so

%files -n typelib-1_0-PackageKitPlugin-1_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/PackageKitPlugin-1.0.typelib

%files gstreamer-plugin
%defattr(-,root,root)
%ghost %attr(755,root,root) %{_libexecdir}/gst-install-plugins-helper
%{_libexecdir}/pk-gstreamer-install

%files gtk3-module
%defattr(-,root,root)
%dir %{_libdir}/gnome-settings-daemon-3.0
%dir %{_libdir}/gnome-settings-daemon-3.0/gtk-modules
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/pk-gtk-module.desktop
%{_libdir}/gtk-3.0/modules/*
%{_libdir}/gtk-2.0/modules/*

%files devel
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/PackageKit
# Test backends are not useful, except for developers
%{_libdir}/packagekit-backend/libpk_backend_test_fail.so
%{_libdir}/packagekit-backend/libpk_backend_test_nop.so
%{_libdir}/packagekit-backend/libpk_backend_test_spawn.so
%{_libdir}/packagekit-backend/libpk_backend_test_succeed.so
%{_libdir}/packagekit-backend/libpk_backend_test_thread.so
%{_libdir}/pkgconfig/packagekit-plugin.pc
%dir %{_includedir}/PackageKit
%{_includedir}/PackageKit/plugin/
%{_datadir}/gir-1.0/PackageKitPlugin-1.0.gir

%files -n libpackagekit-glib2-16
%defattr(-,root,root)
%doc lib/packagekit-glib2/COPYING
%{_libdir}/libpackagekit-glib2.so.*

%files -n typelib-1_0-PackageKitGlib-1_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/PackageKitGlib-1.0.typelib

%files -n libpackagekit-glib2-devel
%defattr(-,root,root)
%{_libdir}/libpackagekit-glib2.so
%{_libdir}/pkgconfig/packagekit-glib2.pc
%dir %{_includedir}/PackageKit
%{_includedir}/PackageKit/packagekit-glib2/
%{_datadir}/gir-1.0/PackageKitGlib-1.0.gir

%files browser-plugin
%defattr(-,root,root)
%{_libdir}/browser-plugins/packagekit-plugin.so

%files branding-upstream
%defattr(-,root,root)
%if %BUILD_CNF
%config(noreplace) %{_sysconfdir}/PackageKit/CommandNotFound.conf
%endif
%config(noreplace) %{_sysconfdir}/PackageKit/PackageKit.conf
# This file should not be touched by users/admins, so we can replace it
%{_sysconfdir}/PackageKit/Vendor.conf

%changelog
openSUSE Build Service is sponsored by